CoCoALib - Bug #1729

Bug HilbertPoly of zero-dimensional ideals
23 Mar 2023 05:20 - Anna Maria Bigatti

Status: Closed Start date: 23 Mar 2023
Priority: Urgent Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Maths Bugs Estimated time: 0.00 hour
Target version: CoCoALib-0.99850 Spent time: 0.60 hour
Description

HilbertPoly works fine in general, but not for zero-dimensional ideals (result should be the polynomial 0)

/**/ use R ::= QQI[w,x,vy,z];

/**/ I := ideal(z"2, w, x"2, y"2);
/**/ HilbertFn (R/I);

H(O) =1

H(1) = 3

H(2) = 3

H(3) =1

H(t) = 0 for t >= 4

/**x/ HilbertPoly (R/I);
£tA3 +3*t72 +3%t +1

Related issues:
Related to CoCoA-5 - Bug #1734: Fix call to HilbertPoly in test/TutHokkaido5

Closed 12 Apr 2023

History

#1 - 23 Mar 2023 05:21 - Anna Maria Bigatti
- Category set to bug

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to Urgent

- Target version set to CoCoA-5.4.2

- % Done changed from 0 to 10

#2 - 23 Mar 2023 05:22 - Anna Maria Bigatti
- Project changed from CoCoA-5 to CoCoALib
- Category deleted (bug)

- Target version deleted (CoCoA-5.4.2)

#3 - 23 Mar 2023 05:23 - Anna Maria Bigatti
code is in SparsePolyOps-hilbert.C

#4 - 23 Mar 2023 05:40 - Anna Maria Bigatti

- Subject changed from Bug HilbertPoly of zer-dimensional ideals to Bug HilbertPoly of zero-dimensional ideals

- Category set to Maths Bugs

- Status changed from New to Feedback
- Target version set to CoCoALib-0.99850
- % Done changed from 10 to 90

silly mistake, as expected. Fixed
Added check for standard grading (otherwise there is no single HilbertPoly)

28 Apr 2024
#5 - 23 Mar 2023 05:44 - Anna Maria Bigatti

checked in.
@Anna: Test also similar functions.

#6 - 12 Apr 2023 14:43 - Anna Maria Bigatti
- Related to Bug #1734: Fix call to HilbertPoly in test/TutHokkaido5 added

#7 - 12 Apr 2023 14:45 - Anna Maria Bigatti

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

28 Apr 2024
